/* $Id$ */
/*-
 * Copyright (c) 2003, 2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; You may only use version 2 of the License,
 * you have no option to use any other version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif

#include <dbus/dbus-glib.h>

#include <xprefs-daemon/xprefs-database.h>
#include <xprefs-daemon/xprefs-main.h>

int
main (int argc, char *argv[])
{
  DBusConnection *dbus_connection;
  XPrefsDatabase *database;
  GError *error;

  error = NULL;

  xprefs_main_init (&argc, &argv);

  /* open connection to D-BUS message daemon */
  dbus_connection = dbus_bus_get_with_g_main (DBUS_BUS_SESSION, &error);
  if (dbus_connection == NULL)
    {
      g_printerr ("Unable to connect to D-BUS bus message daemon: %s\n",
                  error->message);
      g_error_free (error);
      return EXIT_FAILURE;
    }

  database = xprefs_database_new (dbus_connection);

  xprefs_main_run ();

  xprefs_database_sync (database);
  xprefs_database_free (database);

  return EXIT_SUCCESS;
}

