/* $Id$ */
/*-
 * Copyright (c) 2003, 2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __XPREFS_DAEMON_XPREFS_TREE_H__
#define __XPREFS_DAEMON_XPREFS_TREE_H__

#include <xprefs/xprefs-entry.h>

typedef struct _XPrefsTree XPrefsTree;

typedef void (*XPrefsTreeForeachFunc) (XPrefsEntry *entry, gpointer user_data);

XPrefsTree*         xprefs_tree_new         (void);

const XPrefsValue*  xprefs_tree_get         (XPrefsTree *tree,
                                             const gchar *key,
                                             GError **error);
gboolean            xprefs_tree_set         (XPrefsTree *tree,
                                             const gchar *key,
                                             XPrefsValue *value,
                                             GError **error);
gboolean            xprefs_tree_unset       (XPrefsTree *tree,
                                             const gchar *key,
                                             GError **error);
gboolean            xprefs_tree_dir_exists  (XPrefsTree *tree,
                                             const gchar *key,
                                             GError **error);
GList*              xprefs_tree_all_entries (XPrefsTree *tree,
                                             const gchar *key,
                                             GError **error);
GList*              xprefs_tree_all_subdirs (XPrefsTree *tree,
                                             const gchar *key,
                                             GError **error);

void                xprefs_tree_foreach     (XPrefsTree *tree,
                                             XPrefsTreeForeachFunc func,
                                             gpointer user_data);

#endif  /* !__XPREFS_DAEMON_XPREFS_TREE_H__ */
