/* $Id$ */
/*-
 * Copyright (c) 2003, 2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __XPREFS_XPREFS_ERROR_H__
#define __XPREFS_XPREFS_ERROR_H__

#include <glib.h>

G_BEGIN_DECLS;

#define XPREFS_ERROR  (xprefs_error_quark ())

typedef enum _XPrefsError XPrefsError;

enum _XPrefsError
{
  XPREFS_ERROR_SUCCESS = 0,
  XPREFS_ERROR_FAILED = 1,        /* Something didn't work, don't know why,
                                     probably unrecoverable so there's no point
                                     having a more specific error number */
  XPREFS_ERROR_INVALID_VALUE = 2, /* */
  XPREFS_ERROR_PARSE_ERROR = 3,   /* Syntax error during parsing */
  XPREFS_ERROR_TYPE_MISMATCH = 4, /* Type requested doesn't match type found */
  XPREFS_ERROR_BAD_KEY = 5,       /* key is malformed or referres to an
                                     invalid key or directory. */
  XPREFS_ERROR_IS_DIR = 6,        /* Requested key operation on a dir */
  XPREFS_ERROR_IS_KEY = 7,        /* Requested dir operation on a key */
};

GQuark  xprefs_error_quark (void) G_GNUC_CONST;

G_END_DECLS;

#endif  /* !__XPREFS_XPREFS_ERROR_H__ */
