/* $Id$ */
/*-
 * Copyright (c) 2003, 2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __XPREFS_XPREFS_PRIVATE_H__
#define __XPREFS_XPREFS_PRIVATE_H__

#include <glib.h>

/* Bring in I18n support */
#if GLIB_CHECK_VERSION(2,4,0)
#include <glib/gi18n.h>
#else
#include <libintl.h>
#define _(message)  dgettext (GETTEXT_PACKAGE, message)
#define N_(message) (message)
#endif

/* limits of basic data types */
#ifndef G_MAXINT32
#define G_MAXINT32	((gint32) 0x7fffffff)
#endif
#ifndef G_MININT32
#define G_MININT32	((gint32) 0x80000000)
#endif

/* compiler optimizations (taken from GLib) */
#if !GLIB_CHECK_VERSION(2,2,0)
#if defined(__GNUC__) && (__GNUC__ > 2) && defined(__OPTIMIZE__)
#define _G_BOOLEAN_EXPR(expr)                   \
 __extension__ ({                               \
   int _g_boolean_var_;                         \
   if (expr)                                    \
      _g_boolean_var_ = 1;                      \
   else                                         \
      _g_boolean_var_ = 0;                      \
   _g_boolean_var_;                             \
})
#define G_LIKELY(expr) (__builtin_expect (_G_BOOLEAN_EXPR(expr), 1))
#define G_UNLIKELY(expr) (__builtin_expect (_G_BOOLEAN_EXPR(expr), 0))
#else
#define G_LIKELY(expr) (expr)
#define G_UNLIKELY(expr) (expr)
#endif
#endif

#endif  /* !__XPREFS_XPREFS_PRIVATE_H__ */

